$(document).ready(function () {
    $("body").on("click", '.remove', remove);
    $("body").on("change blur", '.supplier', flink);
    $("body").on("focus", '.billamt', autoAddRows);
    
    function flink() {
        var supp = $('.supplier').val();
        if (supp != '') {
            $("#prevref").attr("href", "prevbill_fr.php?supp=" + supp);
        } else
            alert("party cannot be empty");
    }

//    var followupdt = $(".followupdt").val(),
//        remark = $(".remark").val(),
//        staff = $(".staff").val(),
//        customer = $(".customer").val();
//        
//       if(followupdt = ''){
//           $(".followupdt").attr('readonly',false);
//       }else{
//           $(".followupdt").attr('readonly',true);
//       }
//    var tr =  $(this).closest("tr"),
//        followupdt = tr.find(".followupdt").val(),
//        remark = tr.find(".remark").val(),
//        staff = tr.find(".staff").val(),
//        customer = tr.find(".customer").val();
//        
//       if(followupdt = ''){
//           tr.find(".followupdt").attr('readonly',false);
//       }else{
//           tr.find(".followupdt").attr('readonly',true);
//       }


    $('#addnew').click(function () {
        AddRows();
    });
    function autoAddRows() {
        if ($(this).closest("tr").is(":last-child")) {
            AddRows();
        }
    }
    function remove() {
        $(this).closest("tr").remove();
    }
    function AddRows() {
        var ctr = $('#items').val();
        var hide_check = "";
        if ($("#del_all").prop("checked")) {
            hide_check = 0;
        } else {
            hide_check = 1;
        }
        if (ctr == "0") {
            ctr = "1";
        } else {
            ctr = $('#items').val();
        }
        var detail = ".fetchpart_" + ctr;
        $.post('prevbill_add.php', {ctr: ctr, hide: hide_check}, function (data) {
            $(data).appendTo('.tbody');
            ctr++;
            $('#items').val(ctr);
            $(detail).select2();
        });
    }

});